[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImageListCache' (#lcl)

# TImageListCache.RegisterBitmap

Adds the specified bitmap to the image list for a cache listener.

## Declaration

Source position: imagelistcache.pas line 76

`public procedure TImageListCache.RegisterBitmap(`
`AListener: IImageCacheListener;`
`ABitmap: TBitmap;`
`ABitmapCount: Integer = 1`
`);`

## Arguments

`AListener` |  | Interface for the cache listener for the bitmap.
`ABitmap` |  | Bitmap registered in the method.
`ABitmapCount` |  | Number of image "slices" in the bitmap.

## Description

RegisterBitmap is a method used to register use the image in ABitmap for the cache listener specified in AListener. RegisterBitmap ensures that the cache listener and an image list exist in the cache. The RegisterListener method is called is the listener is not found in the cache. If an image list does not already exist in the cache, a new cache item is allocated.

ABitmap can contain a "sliced" image, which has multiple adjacent images each using the height for the bitmap. The image list in the cache is configured to use the number of images indicated in the ABitmapCount argument. Each image has the same height and width.

The cache listener in AListener is notified if an action caused a change to the index positions used in the image list.

## See also

TButtonGlyph.Glyph |  | The bitmap image drawn as the glyph on the button.
TButtonGlyph.Refresh |  | Updates the button glyph after changes to property values.